# Interface methods for submodule: MultipleValuedVnlCostFunctionAdaptor
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import vnl_least_squares_functionProxy as _vnl_least_squares_functionProxy


# Interface methods for class: MultipleValuedVnlCostFunctionAdaptor
class MultipleValuedVnlCostFunctionAdaptorProxy(_vnl_least_squares_functionProxy):
	def SetCostFunction(self, costFunction) -> None:
		""""""
		...

	def GetCostFunction(self):
		""""""
		...

	def f(self, inparameters: vnl_vector, measures: vnl_vector) -> None:
		""""""
		...

	def gradf(self, inparameters: vnl_vector, gradient: vnl_matrix) -> None:
		""""""
		...

	def compute(self, x: vnl_vector, ff, g) -> None:
		""""""
		...

	def ConvertExternalToInternalGradient(self, input, output: vnl_matrix) -> None:
		""""""
		...

	def ConvertExternalToInternalMeasures(self, input: Sequence[float], output: vnl_vector) -> None:
		""""""
		...

	def SetUseGradient(self, arg0: bool) -> None:
		""""""
		...

	def UseGradientOn(self) -> None:
		""""""
		...

	def UseGradientOff(self) -> None:
		""""""
		...

	def GetUseGradient(self) -> bool:
		""""""
		...

	def SetScales(self, scales: Sequence[float]) -> None:
		""""""
		...

	def AddObserver(self, event, arg1) -> int:
		""""""
		...

	def GetCachedValue(self) -> Sequence[float]:
		""""""
		...

	def GetCachedDerivative(self):
		""""""
		...

	def GetCachedCurrentParameters(self):
		""""""
		...

